<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxGraphView (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxGraphView (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10,"i52":10,"i53":10,"i54":10,"i55":10,"i56":10,"i57":10,"i58":10,"i59":10,"i60":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.view</a></div>
<h2 title="Class mxGraphView" class="title">Class mxGraphView</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxEventSource</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.view.mxGraphView</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxGraphView</span>
extends <a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></pre>
<div class="block">Implements a view for the graph. This class is in charge of computing the
 absolute coordinates for the relative child geometries, the points for
 perimeters and edge styles and keeping them cached in cell states for faster
 retrieval. The states are updated whenever the model or the view state
 (translate, scale) changes. The scale and translate are honoured in the
 bounds.
 
 This class fires the following events:
 
 mxEvent.UNDO fires after the root was changed in setCurrentRoot. The
 <code>edit</code> property contains the mxUndoableEdit which contains the
 mxCurrentRootChange.
 
 mxEvent.SCALE_AND_TRANSLATE fires after the scale and transle have been
 changed in scaleAndTranslate. The <code>scale</code>,
 <code>previousScale</code>, <code>translate</code> and
 <code>previousTranslate</code> properties contain the new and previous scale
 and translate, respectively.
 
 mxEvent.SCALE fires after the scale was changed in setScale. The
 <code>scale</code> and <code>previousScale</code> properties contain the new
 and previous scale.
 
 mxEvent.TRANSLATE fires after the translate was changed in setTranslate. The
 <code>translate</code> and <code>previousTranslate</code> properties contain
 the new and previous value for translate.
 
 mxEvent.UP and mxEvent.DOWN fire if the current root is changed by executing
 a mxCurrentRootChange. The event name depends on the location of the root in
 the cell hierarchy with respect to the current root. The <code>root</code>
 and <code>previous</code> properties contain the new and previous root,
 respectively.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxGraphView.mxCurrentRootChange.html" title="class in hk.quantr.mxgraph.view">mxGraphView.mxCurrentRootChange</a></span></code></th>
<td class="colLast">
<div class="block">Action to change the current root in a view.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#currentRoot">currentRoot</a></span></code></th>
<td class="colLast">
<div class="block">mxCell that acts as the root of the displayed cell hierarchy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graph">graph</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graphBounds">graphBounds</a></span></code></th>
<td class="colLast">
<div class="block">Caches the current bounds of the graph.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#scale">scale</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the scale.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.Hashtable&lt;java.lang.Object,&#8203;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#states">states</a></span></code></th>
<td class="colLast">
<div class="block">Maps from cells to cell states.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#translate">translate</a></span></code></th>
<td class="colLast">
<div class="block">Point that specifies the current translation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.html#eventListeners">eventListeners</a>, <a href="../util/mxEventSource.html#eventsEnabled">eventsEnabled</a>, <a href="../util/mxEventSource.html#eventSource">eventSource</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.view.mxGraph)">mxGraphView</a></span>&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</code></th>
<td class="colLast">
<div class="block">Constructs a new view for the given graph.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#clear(java.lang.Object,boolean,boolean)">clear</a></span>&#8203;(java.lang.Object&nbsp;cell,
     boolean&nbsp;force,
     boolean&nbsp;recurse)</code></th>
<td class="colLast">
<div class="block">Removes the state of the given cell and all descendants if the given cell
 is not the current root.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createState(java.lang.Object)">createState</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Creates and returns a cell state for the given cell.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBoundingBox(hk.quantr.mxgraph.view.mxCellState)">getBoundingBox</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Shortcut to validateCell with visible set to true.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBoundingBox(hk.quantr.mxgraph.view.mxCellState,boolean)">getBoundingBox</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
              boolean&nbsp;recurse)</code></th>
<td class="colLast">
<div class="block">Returns the bounding box of the shape and the label for the given cell
 state and its children if recurse is true.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBoundingBox(java.lang.Object%5B%5D)">getBoundingBox</a></span>&#8203;(java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">
<div class="block">Returns the bounding box for an array of cells or null, if no cells are
 specified.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBounds(java.lang.Object%5B%5D)">getBounds</a></span>&#8203;(java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">
<div class="block">Returns the bounding box for an array of cells or null, if no cells are
 specified.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBounds(java.lang.Object%5B%5D,boolean)">getBounds</a></span>&#8203;(java.lang.Object[]&nbsp;cells,
         boolean&nbsp;boundingBox)</code></th>
<td class="colLast">
<div class="block">Returns the bounding box for an array of cells or null, if no cells are
 specified.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCellStates(java.lang.Object%5B%5D)">getCellStates</a></span>&#8203;(java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">
<div class="block">Returns the states for the given array of cells.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCurrentRoot()">getCurrentRoot</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the current root.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEdgeStyle(hk.quantr.mxgraph.view.mxCellState,java.util.List,java.lang.Object,java.lang.Object)">getEdgeStyle</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
            java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
            java.lang.Object&nbsp;source,
            java.lang.Object&nbsp;target)</code></th>
<td class="colLast">
<div class="block">Returns the edge style function to be used to compute the absolute points
 for the given state, control points and terminals.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGraph()">getGraph</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the enclosing graph.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGraphBounds()">getGraphBounds</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the cached diagram bounds.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNextPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,boolean)">getNextPoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
            <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;opposite,
            boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Returns the nearest point in the list of absolute points or the center of
 the opposite terminal.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerimeterBounds(hk.quantr.mxgraph.view.mxCellState,double)">getPerimeterBounds</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                  double&nbsp;border)</code></th>
<td class="colLast">
<div class="block">Returns the perimeter bounds for the given terminal, edge pair.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerimeterFunction(hk.quantr.mxgraph.view.mxCellState)">getPerimeterFunction</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns the perimeter function for the given state.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerimeterPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxPoint,boolean)">getPerimeterPoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                 <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;next,
                 boolean&nbsp;orthogonal)</code></th>
<td class="colLast">
<div class="block">Returns a point that defines the location of the intersection point
 between the perimeter and the line between the center of the shape and
 the given point.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerimeterPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxPoint,boolean,double)">getPerimeterPoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                 <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;next,
                 boolean&nbsp;orthogonal,
                 double&nbsp;border)</code></th>
<td class="colLast">
<div class="block">Returns a point that defines the location of the intersection point
 between the perimeter and the line between the center of the shape and
 the given point.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPoint(hk.quantr.mxgraph.view.mxCellState)">getPoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns the absolute center point along the given edge.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.model.mxGeometry)">getPoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
        <a href="../model/mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geometry)</code></th>
<td class="colLast">
<div class="block">Returns the absolute point on the edge for the given relative geometry as
 a point.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRelativePoint(hk.quantr.mxgraph.view.mxCellState,double,double)">getRelativePoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edgeState,
                double&nbsp;x,
                double&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Gets the relative point that describes the given, absolute label position
 for the given edge state.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRoutingCenterX(hk.quantr.mxgraph.view.mxCellState)">getRoutingCenterX</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns the x-coordinate of the center point for automatic routing.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRoutingCenterY(hk.quantr.mxgraph.view.mxCellState)">getRoutingCenterY</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns the y-coordinate of the center point for automatic routing.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getScale()">getScale</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the current scale.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getState(java.lang.Object)">getState</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns the state for the given cell or null if no state is defined for
 the cell.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getState(java.lang.Object,boolean)">getState</a></span>&#8203;(java.lang.Object&nbsp;cell,
        boolean&nbsp;create)</code></th>
<td class="colLast">
<div class="block">Returns the cell state for the given cell.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>java.util.Hashtable&lt;java.lang.Object,&#8203;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStates()">getStates</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the dictionary that maps from cells to states.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTerminalPort(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,boolean)">getTerminalPort</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
               <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
               boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Returns a cell state that represents the source or target terminal or
 port for the given edge.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTranslate()">getTranslate</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the current translation.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getVisibleTerminal(java.lang.Object,boolean)">getVisibleTerminal</a></span>&#8203;(java.lang.Object&nbsp;edge,
                  boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Returns the nearest ancestor terminal that is visible.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWordWrapWidth(hk.quantr.mxgraph.view.mxCellState)">getWordWrapWidth</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns the width for wrapping the label of the given state at scale 1.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#invalidate()">invalidate</a></span>()</code></th>
<td class="colLast">
<div class="block">Invalidates all cell states.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#invalidate(java.lang.Object)">invalidate</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Invalidates the state of the given cell, all its descendants and
 connected edges.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reload()">reload</a></span>()</code></th>
<td class="colLast">
<div class="block">Removes all existing cell states and invokes validate.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeState(java.lang.Object)">removeState</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Removes and returns the mxCellState for the given cell.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#revalidate()">revalidate</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#scaleAndTranslate(double,double,double)">scaleAndTranslate</a></span>&#8203;(double&nbsp;scale,
                 double&nbsp;dx,
                 double&nbsp;dy)</code></th>
<td class="colLast">
<div class="block">Sets the scale and translation.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCurrentRoot(java.lang.Object)">setCurrentRoot</a></span>&#8203;(java.lang.Object&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Sets and returns the current root and fires an undo event.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGraphBounds(hk.quantr.mxgraph.util.mxRectangle)">setGraphBounds</a></span>&#8203;(<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the graph bounds.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setScale(double)">setScale</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the current scale and revalidates the view.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStates(java.util.Hashtable)">setStates</a></span>&#8203;(java.util.Hashtable&lt;java.lang.Object,&#8203;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;&nbsp;states)</code></th>
<td class="colLast">
<div class="block">Returns the dictionary that maps from cells to states.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTranslate(hk.quantr.mxgraph.util.mxPoint)">setTranslate</a></span>&#8203;(<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the current translation and invalidates the view.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code><a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#transformControlPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxPoint)">transformControlPoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                     <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;pt)</code></th>
<td class="colLast">
<div class="block">Transforms the given control point to an absolute point.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateBoundingBox(hk.quantr.mxgraph.view.mxCellState)">updateBoundingBox</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Updates the bounding box in the given cell state.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateCellState(hk.quantr.mxgraph.view.mxCellState)">updateCellState</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Updates the given cell state.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateEdgeBounds(hk.quantr.mxgraph.view.mxCellState)">updateEdgeBounds</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Updates the given state using the bounding box of the absolute points.</div>
</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateEdgeState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.model.mxGeometry)">updateEdgeState</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
               <a href="../model/mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geo)</code></th>
<td class="colLast">
<div class="block">Validates the given cell state.</div>
</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateFixedTerminalPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,boolean,hk.quantr.mxgraph.view.mxConnectionConstraint)">updateFixedTerminalPoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                        <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                        boolean&nbsp;source,
                        <a href="mxConnectionConstraint.html" title="class in hk.quantr.mxgraph.view">mxConnectionConstraint</a>&nbsp;constraint)</code></th>
<td class="colLast">
<div class="block">Sets the fixed source or target terminal point on the given edge.</div>
</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateFixedTerminalPoints(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState)">updateFixedTerminalPoints</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                         <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;source,
                         <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;target)</code></th>
<td class="colLast">
<div class="block">Sets the initial absolute terminal points in the given state before the
 edge style is computed.</div>
</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateFloatingTerminalPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,boolean)">updateFloatingTerminalPoint</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                           <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;start,
                           <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;end,
                           boolean&nbsp;source)</code></th>
<td class="colLast">
<div class="block">Updates the absolute terminal point in the given state for the given
 start and end state, where start is the source if source is true.</div>
</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateFloatingTerminalPoints(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState)">updateFloatingTerminalPoints</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                            <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;source,
                            <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;target)</code></th>
<td class="colLast">
<div class="block">Updates the terminal points in the given state after the edge style was
 computed for the edge.</div>
</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateLabel(hk.quantr.mxgraph.view.mxCellState)">updateLabel</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Updates the label of the given state.</div>
</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateLabelBounds(hk.quantr.mxgraph.view.mxCellState)">updateLabelBounds</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Updates the label bounds in the given state.</div>
</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updatePoints(hk.quantr.mxgraph.view.mxCellState,java.util.List,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState)">updatePoints</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
            java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
            <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;source,
            <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;target)</code></th>
<td class="colLast">
<div class="block">Updates the absolute points in the given state using the specified array
 of points as the relative points.</div>
</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateVertexLabelOffset(hk.quantr.mxgraph.view.mxCellState)">updateVertexLabelOffset</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Updates the absoluteOffset of the given vertex cell state.</div>
</td>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateVertexState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.model.mxGeometry)">updateVertexState</a></span>&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                 <a href="../model/mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geo)</code></th>
<td class="colLast">
<div class="block">Validates the given cell state.</div>
</td>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#validate()">validate</a></span>()</code></th>
<td class="colLast">
<div class="block">First validates all bounds and then validates all points recursively on
 all visible cells.</div>
</td>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#validateCell(java.lang.Object)">validateCell</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Shortcut to validateCell with visible set to true.</div>
</td>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#validateCell(java.lang.Object,boolean)">validateCell</a></span>&#8203;(java.lang.Object&nbsp;cell,
            boolean&nbsp;visible)</code></th>
<td class="colLast">
<div class="block">Recursively creates the cell state for the given cell if visible is true
 and the given cell is visible.</div>
</td>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#validateCellState(java.lang.Object)">validateCellState</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Shortcut to validateCellState with recurse set to true.</div>
</td>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><code><a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#validateCellState(java.lang.Object,boolean)">validateCellState</a></span>&#8203;(java.lang.Object&nbsp;cell,
                 boolean&nbsp;recurse)</code></th>
<td class="colLast">
<div class="block">Validates the cell state for the given cell.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../util/mxEventSource.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a>, <a href="../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject)">fireEvent</a>, <a href="../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject,java.lang.Object)">fireEvent</a>, <a href="../util/mxEventSource.html#getEventSource()">getEventSource</a>, <a href="../util/mxEventSource.html#isEventsEnabled()">isEventsEnabled</a>, <a href="../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a>, <a href="../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a>, <a href="../util/mxEventSource.html#setEventsEnabled(boolean)">setEventsEnabled</a>, <a href="../util/mxEventSource.html#setEventSource(java.lang.Object)">setEventSource</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="graph">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graph</h4>
<pre>protected&nbsp;<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a> graph</pre>
<div class="block">Reference to the enclosing graph.</div>
</li>
</ul>
<a id="currentRoot">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentRoot</h4>
<pre>protected&nbsp;java.lang.Object currentRoot</pre>
<div class="block">mxCell that acts as the root of the displayed cell hierarchy.</div>
</li>
</ul>
<a id="graphBounds">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graphBounds</h4>
<pre>protected&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a> graphBounds</pre>
<div class="block">Caches the current bounds of the graph.</div>
</li>
</ul>
<a id="scale">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scale</h4>
<pre>protected&nbsp;double scale</pre>
<div class="block">Specifies the scale. Default is 1 (100%).</div>
</li>
</ul>
<a id="translate">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translate</h4>
<pre>protected&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a> translate</pre>
<div class="block">Point that specifies the current translation. Default is a new empty
 point.</div>
</li>
</ul>
<a id="states">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>states</h4>
<pre>protected&nbsp;java.util.Hashtable&lt;java.lang.Object,&#8203;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt; states</pre>
<div class="block">Maps from cells to cell states.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.view.mxGraph)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxGraphView</h4>
<pre>public&nbsp;mxGraphView&#8203;(<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;graph)</pre>
<div class="block">Constructs a new view for the given graph.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graph</code> - Reference to the enclosing graph.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getGraph()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraph</h4>
<pre class="methodSignature">public&nbsp;<a href="mxGraph.html" title="class in hk.quantr.mxgraph.view">mxGraph</a>&nbsp;getGraph()</pre>
<div class="block">Returns the enclosing graph.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the enclosing graph.</dd>
</dl>
</li>
</ul>
<a id="getStates()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStates</h4>
<pre class="methodSignature">public&nbsp;java.util.Hashtable&lt;java.lang.Object,&#8203;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;&nbsp;getStates()</pre>
<div class="block">Returns the dictionary that maps from cells to states.</div>
</li>
</ul>
<a id="setStates(java.util.Hashtable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStates</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setStates&#8203;(java.util.Hashtable&lt;java.lang.Object,&#8203;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&gt;&nbsp;states)</pre>
<div class="block">Returns the dictionary that maps from cells to states.</div>
</li>
</ul>
<a id="getGraphBounds()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getGraphBounds()</pre>
<div class="block">Returns the cached diagram bounds.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the diagram bounds.</dd>
</dl>
</li>
</ul>
<a id="setGraphBounds(hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGraphBounds</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGraphBounds&#8203;(<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;value)</pre>
<div class="block">Sets the graph bounds.</div>
</li>
</ul>
<a id="getCurrentRoot()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentRoot</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;getCurrentRoot()</pre>
<div class="block">Returns the current root.</div>
</li>
</ul>
<a id="setCurrentRoot(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentRoot</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;setCurrentRoot&#8203;(java.lang.Object&nbsp;root)</pre>
<div class="block">Sets and returns the current root and fires an undo event.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - mxCell that specifies the root of the displayed cell
            hierarchy.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the object that represents the current root.</dd>
</dl>
</li>
</ul>
<a id="scaleAndTranslate(double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scaleAndTranslate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;scaleAndTranslate&#8203;(double&nbsp;scale,
                              double&nbsp;dx,
                              double&nbsp;dy)</pre>
<div class="block">Sets the scale and translation. Fires a "scaleAndTranslate" event after
 calling revalidate. Revalidate is only called if isEventsEnabled.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>scale</code> - Decimal value that specifies the new scale (1 is 100%).</dd>
<dd><code>dx</code> - X-coordinate of the translation.</dd>
<dd><code>dy</code> - Y-coordinate of the translation.</dd>
</dl>
</li>
</ul>
<a id="getScale()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScale</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getScale()</pre>
<div class="block">Returns the current scale.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the scale.</dd>
</dl>
</li>
</ul>
<a id="setScale(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScale</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setScale&#8203;(double&nbsp;value)</pre>
<div class="block">Sets the current scale and revalidates the view. Fires a "scale" event
 after calling revalidate. Revalidate is only called if isEventsEnabled.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - New scale to be used.</dd>
</dl>
</li>
</ul>
<a id="getTranslate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTranslate</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getTranslate()</pre>
<div class="block">Returns the current translation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the translation.</dd>
</dl>
</li>
</ul>
<a id="setTranslate(hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTranslate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTranslate&#8203;(<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;value)</pre>
<div class="block">Sets the current translation and invalidates the view. Fires a property
 change event for "translate" after calling revalidate. Revalidate is only
 called if isEventsEnabled.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - New translation to be used.</dd>
</dl>
</li>
</ul>
<a id="getBounds(java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getBounds&#8203;(java.lang.Object[]&nbsp;cells)</pre>
<div class="block">Returns the bounding box for an array of cells or null, if no cells are
 specified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cells</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the bounding box for the given cells.</dd>
</dl>
</li>
</ul>
<a id="getBoundingBox(java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBox</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getBoundingBox&#8203;(java.lang.Object[]&nbsp;cells)</pre>
<div class="block">Returns the bounding box for an array of cells or null, if no cells are
 specified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cells</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the bounding box for the given cells.</dd>
</dl>
</li>
</ul>
<a id="getBounds(java.lang.Object[],boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getBounds&#8203;(java.lang.Object[]&nbsp;cells,
                             boolean&nbsp;boundingBox)</pre>
<div class="block">Returns the bounding box for an array of cells or null, if no cells are
 specified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cells</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the bounding box for the given cells.</dd>
</dl>
</li>
</ul>
<a id="reload()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reload</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;reload()</pre>
<div class="block">Removes all existing cell states and invokes validate.</div>
</li>
</ul>
<a id="revalidate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>revalidate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;revalidate()</pre>
</li>
</ul>
<a id="invalidate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invalidate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;invalidate()</pre>
<div class="block">Invalidates all cell states.</div>
</li>
</ul>
<a id="clear(java.lang.Object,boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;clear&#8203;(java.lang.Object&nbsp;cell,
                  boolean&nbsp;force,
                  boolean&nbsp;recurse)</pre>
<div class="block">Removes the state of the given cell and all descendants if the given cell
 is not the current root.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - </dd>
<dd><code>force</code> - </dd>
<dd><code>recurse</code> - </dd>
</dl>
</li>
</ul>
<a id="invalidate(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invalidate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;invalidate&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Invalidates the state of the given cell, all its descendants and
 connected edges.</div>
</li>
</ul>
<a id="validate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;validate()</pre>
<div class="block">First validates all bounds and then validates all points recursively on
 all visible cells.</div>
</li>
</ul>
<a id="getBoundingBox(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBox</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getBoundingBox&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Shortcut to validateCell with visible set to true.</div>
</li>
</ul>
<a id="getBoundingBox(hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBox</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getBoundingBox&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                  boolean&nbsp;recurse)</pre>
<div class="block">Returns the bounding box of the shape and the label for the given cell
 state and its children if recurse is true.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - Cell state whose bounding box should be returned.</dd>
<dd><code>recurse</code> - Boolean indicating if the children should be included.</dd>
</dl>
</li>
</ul>
<a id="validateCell(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateCell</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;validateCell&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Shortcut to validateCell with visible set to true.</div>
</li>
</ul>
<a id="validateCell(java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateCell</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;validateCell&#8203;(java.lang.Object&nbsp;cell,
                                     boolean&nbsp;visible)</pre>
<div class="block">Recursively creates the cell state for the given cell if visible is true
 and the given cell is visible. If the cell is not visible but the state
 exists then it is removed using removeState.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose cell state should be created.</dd>
<dd><code>visible</code> - Boolean indicating if the cell should be visible.</dd>
</dl>
</li>
</ul>
<a id="validateCellState(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateCellState</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;validateCellState&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Shortcut to validateCellState with recurse set to true.</div>
</li>
</ul>
<a id="validateCellState(java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validateCellState</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;validateCellState&#8203;(java.lang.Object&nbsp;cell,
                                     boolean&nbsp;recurse)</pre>
<div class="block">Validates the cell state for the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose cell state should be validated.</dd>
<dd><code>recurse</code> - Boolean indicating if the children of the cell should be
            validated.</dd>
</dl>
</li>
</ul>
<a id="updateCellState(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateCellState</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateCellState&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Updates the given cell state.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - Cell state to be updated.</dd>
</dl>
</li>
</ul>
<a id="updateVertexState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.model.mxGeometry)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateVertexState</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateVertexState&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                              <a href="../model/mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geo)</pre>
<div class="block">Validates the given cell state.</div>
</li>
</ul>
<a id="updateEdgeState(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.model.mxGeometry)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateEdgeState</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateEdgeState&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                            <a href="../model/mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geo)</pre>
<div class="block">Validates the given cell state.</div>
</li>
</ul>
<a id="updateVertexLabelOffset(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateVertexLabelOffset</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateVertexLabelOffset&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Updates the absoluteOffset of the given vertex cell state. This takes
 into account the label position styles.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - Cell state whose absolute offset should be updated.</dd>
</dl>
</li>
</ul>
<a id="updateLabel(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateLabel</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateLabel&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Updates the label of the given state.</div>
</li>
</ul>
<a id="getWordWrapWidth(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWordWrapWidth</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getWordWrapWidth&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Returns the width for wrapping the label of the given state at scale 1.</div>
</li>
</ul>
<a id="updateLabelBounds(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateLabelBounds</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateLabelBounds&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Updates the label bounds in the given state.</div>
</li>
</ul>
<a id="updateBoundingBox(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateBoundingBox</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;updateBoundingBox&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Updates the bounding box in the given cell state.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - Cell state whose bounding box should be updated.</dd>
</dl>
</li>
</ul>
<a id="updateFixedTerminalPoints(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateFixedTerminalPoints</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateFixedTerminalPoints&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                                      <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;source,
                                      <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;target)</pre>
<div class="block">Sets the initial absolute terminal points in the given state before the
 edge style is computed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>edge</code> - Cell state whose initial terminal points should be updated.</dd>
<dd><code>source</code> - Cell state which represents the source terminal.</dd>
<dd><code>target</code> - Cell state which represents the target terminal.</dd>
</dl>
</li>
</ul>
<a id="updateFixedTerminalPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,boolean,hk.quantr.mxgraph.view.mxConnectionConstraint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateFixedTerminalPoint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateFixedTerminalPoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                                     <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                                     boolean&nbsp;source,
                                     <a href="mxConnectionConstraint.html" title="class in hk.quantr.mxgraph.view">mxConnectionConstraint</a>&nbsp;constraint)</pre>
<div class="block">Sets the fixed source or target terminal point on the given edge.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>edge</code> - Cell state whose initial terminal points should be updated.</dd>
</dl>
</li>
</ul>
<a id="updatePoints(hk.quantr.mxgraph.view.mxCellState,java.util.List,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updatePoints</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updatePoints&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                         java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
                         <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;source,
                         <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;target)</pre>
<div class="block">Updates the absolute points in the given state using the specified array
 of points as the relative points.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>edge</code> - Cell state whose absolute points should be updated.</dd>
<dd><code>points</code> - Array of points that constitute the relative points.</dd>
<dd><code>source</code> - Cell state that represents the source terminal.</dd>
<dd><code>target</code> - Cell state that represents the target terminal.</dd>
</dl>
</li>
</ul>
<a id="transformControlPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxPoint)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transformControlPoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;transformControlPoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                     <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;pt)</pre>
<div class="block">Transforms the given control point to an absolute point.</div>
</li>
</ul>
<a id="getEdgeStyle(hk.quantr.mxgraph.view.mxCellState,java.util.List,java.lang.Object,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEdgeStyle</h4>
<pre class="methodSignature">public&nbsp;<a href="mxEdgeStyle.mxEdgeStyleFunction.html" title="interface in hk.quantr.mxgraph.view">mxEdgeStyle.mxEdgeStyleFunction</a>&nbsp;getEdgeStyle&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                                                    java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;&nbsp;points,
                                                    java.lang.Object&nbsp;source,
                                                    java.lang.Object&nbsp;target)</pre>
<div class="block">Returns the edge style function to be used to compute the absolute points
 for the given state, control points and terminals.</div>
</li>
</ul>
<a id="updateFloatingTerminalPoints(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateFloatingTerminalPoints</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateFloatingTerminalPoints&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                         <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;source,
                                         <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;target)</pre>
<div class="block">Updates the terminal points in the given state after the edge style was
 computed for the edge.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - Cell state whose terminal points should be updated.</dd>
<dd><code>source</code> - Cell state that represents the source terminal.</dd>
<dd><code>target</code> - Cell state that represents the target terminal.</dd>
</dl>
</li>
</ul>
<a id="updateFloatingTerminalPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateFloatingTerminalPoint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateFloatingTerminalPoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                                        <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;start,
                                        <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;end,
                                        boolean&nbsp;source)</pre>
<div class="block">Updates the absolute terminal point in the given state for the given
 start and end state, where start is the source if source is true.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>edge</code> - Cell state whose terminal point should be updated.</dd>
<dd><code>start</code> - Cell state for the terminal on "this" side of the edge.</dd>
<dd><code>end</code> - Cell state for the terminal on the other side of the edge.</dd>
<dd><code>source</code> - Boolean indicating if start is the source terminal state.</dd>
</dl>
</li>
</ul>
<a id="getTerminalPort(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTerminalPort</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getTerminalPort&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                   <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                                   boolean&nbsp;source)</pre>
<div class="block">Returns a cell state that represents the source or target terminal or
 port for the given edge.</div>
</li>
</ul>
<a id="getPerimeterPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxPoint,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerimeterPoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getPerimeterPoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                                 <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;next,
                                 boolean&nbsp;orthogonal)</pre>
<div class="block">Returns a point that defines the location of the intersection point
 between the perimeter and the line between the center of the shape and
 the given point.</div>
</li>
</ul>
<a id="getPerimeterPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxPoint,boolean,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerimeterPoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getPerimeterPoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                                 <a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;next,
                                 boolean&nbsp;orthogonal,
                                 double&nbsp;border)</pre>
<div class="block">Returns a point that defines the location of the intersection point
 between the perimeter and the line between the center of the shape and
 the given point.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>terminal</code> - Cell state for the source or target terminal.</dd>
<dd><code>next</code> - Point that lies outside of the given terminal.</dd>
<dd><code>orthogonal</code> - Boolean that specifies if the orthogonal projection onto the
            perimeter should be returned. If this is false then the
            intersection of the perimeter and the line between the next
            and the center point is returned.</dd>
<dd><code>border</code> - Optional border between the perimeter and the shape.</dd>
</dl>
</li>
</ul>
<a id="getRoutingCenterX(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoutingCenterX</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getRoutingCenterX&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Returns the x-coordinate of the center point for automatic routing.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the x-coordinate of the routing center point.</dd>
</dl>
</li>
</ul>
<a id="getRoutingCenterY(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoutingCenterY</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getRoutingCenterY&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Returns the y-coordinate of the center point for automatic routing.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the y-coordinate of the routing center point.</dd>
</dl>
</li>
</ul>
<a id="getPerimeterBounds(hk.quantr.mxgraph.view.mxCellState,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerimeterBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getPerimeterBounds&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;terminal,
                                      double&nbsp;border)</pre>
<div class="block">Returns the perimeter bounds for the given terminal, edge pair.</div>
</li>
</ul>
<a id="getPerimeterFunction(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerimeterFunction</h4>
<pre class="methodSignature">public&nbsp;<a href="mxPerimeter.mxPerimeterFunction.html" title="interface in hk.quantr.mxgraph.view">mxPerimeter.mxPerimeterFunction</a>&nbsp;getPerimeterFunction&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Returns the perimeter function for the given state.</div>
</li>
</ul>
<a id="getNextPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextPoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getNextPoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edge,
                            <a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;opposite,
                            boolean&nbsp;source)</pre>
<div class="block">Returns the nearest point in the list of absolute points or the center of
 the opposite terminal.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>edge</code> - Cell state that represents the edge.</dd>
<dd><code>opposite</code> - Cell state that represents the opposite terminal.</dd>
<dd><code>source</code> - Boolean indicating if the next point for the source or target
            should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the nearest point of the opposite side.</dd>
</dl>
</li>
</ul>
<a id="getVisibleTerminal(java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVisibleTerminal</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;getVisibleTerminal&#8203;(java.lang.Object&nbsp;edge,
                                           boolean&nbsp;source)</pre>
<div class="block">Returns the nearest ancestor terminal that is visible. The edge appears
 to be connected to this terminal on the display.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>edge</code> - Cell whose visible terminal should be returned.</dd>
<dd><code>source</code> - Boolean that specifies if the source or target terminal should
            be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the visible source or target terminal.</dd>
</dl>
</li>
</ul>
<a id="updateEdgeBounds(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateEdgeBounds</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;updateEdgeBounds&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Updates the given state using the bounding box of the absolute points.
 Also updates terminal distance, length and segments.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - Cell state whose bounds should be updated.</dd>
</dl>
</li>
</ul>
<a id="getPoint(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getPoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Returns the absolute center point along the given edge.</div>
</li>
</ul>
<a id="getPoint(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.model.mxGeometry)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getPoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                        <a href="../model/mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geometry)</pre>
<div class="block">Returns the absolute point on the edge for the given relative geometry as
 a point. The edge is represented by the given cell state.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - Represents the state of the parent edge.</dd>
<dd><code>geometry</code> - Optional geometry that represents the relative location.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the mxpoint that represents the absolute location of the
         given relative geometry.</dd>
</dl>
</li>
</ul>
<a id="getRelativePoint(hk.quantr.mxgraph.view.mxCellState,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRelativePoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getRelativePoint&#8203;(<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;edgeState,
                                double&nbsp;x,
                                double&nbsp;y)</pre>
<div class="block">Gets the relative point that describes the given, absolute label position
 for the given edge state.</div>
</li>
</ul>
<a id="getCellStates(java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCellStates</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>[]&nbsp;getCellStates&#8203;(java.lang.Object[]&nbsp;cells)</pre>
<div class="block">Returns the states for the given array of cells. The array contains all
 states that are not null, that is, the returned array may have less
 elements than the given array.</div>
</li>
</ul>
<a id="getState(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getState&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns the state for the given cell or null if no state is defined for
 the cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose state should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the state for the given cell.</dd>
</dl>
</li>
</ul>
<a id="getState(java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getState&#8203;(java.lang.Object&nbsp;cell,
                            boolean&nbsp;create)</pre>
<div class="block">Returns the cell state for the given cell. If create is true, then the
 state is created if it does not yet exist.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell for which a new state should be returned.</dd>
<dd><code>create</code> - Boolean indicating if a new state should be created if it does
            not yet exist.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the state for the given cell.</dd>
</dl>
</li>
</ul>
<a id="removeState(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeState</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;removeState&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Removes and returns the mxCellState for the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - mxCell for which the mxCellState should be removed.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the mxCellState that has been removed.</dd>
</dl>
</li>
</ul>
<a id="createState(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createState</h4>
<pre class="methodSignature">public&nbsp;<a href="mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;createState&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Creates and returns a cell state for the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell for which a new state should be created.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a new state for the given cell.</dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
